#!/bin/sh
seed="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $4}' ../benchmarks/benchmarks`"
technique="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $3}' ../benchmarks/benchmarks`"
name="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $2}' ../benchmarks/benchmarks`"
exec 1>"$name".log 2>"$name".err
msg () {
  echo "verify.sh: $*"
}
msg "name:     $name"
msg "technique: $technique"
msg "seed:     $seed"
msg "task:     $SLURM_ARRAY_TASK_ID"
msg "host:     `hostname`"
msg "uname:    `uname -a`"
msg "start:    `date`"
msg "noturbo:  `show-turbo-mode-disabled.sh`"
msg "governor: `show-scaling-governors.sh |awk '{print $NF}'|sort|uniq -c|sed -e 's,^ *,,'`"
msg "tmp:      `df -m /tmp/|tail -1|awk '{print $(NF-1)}'`"
tmp=/tmp/verify-$$-$name
path=/home/ritirc/algprop/src/benchmarks/aoki/sp-ar-rc-4.aig
trap "rm -f $tmp*" 2 3 9 15
aig=${name}.aig
rewr=${name}_rewr.aig
rm -f $aig $rewr
msg "bm"
time=300
space=16000

# substitution ----------------------------------------------------------

log=${name}_fuzz.log
err=${name}_fuzz.err
rm -f $log $err
/home/biere/bin/runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  /home/ritirc/algprop/src/aigofuzzing/aigofuzzing -t $technique -s $seed $path $aig 1>$log 2>$err


log=${name}_verify.log
err=${name}_verify.err
rm -f $log $err
/home/biere/bin/runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  /home/ritirc/algprop/src/amulet2.1/amulet -verify $aig 1>$log 2>$err


rm -f $tmp*
msg "end:      `date`"
