#!/usr/bin/env python3


import sys

def convert_to_num(s):
    return int(s[::-1] , 2)

def splitstring_and_convert(s):
    A, B = s[:len(s)//2], s[len(s)//2:]
    return convert_to_num(A), convert_to_num(B)

if len(sys.argv) != 2 :
  print ("Wrong number of arguments given")
  print ("Usage: ./checksim.py <inputfile>")
  exit()

input_file_name = sys.argv[1]
input_file = open(input_file_name, "r")
witnesses = input_file.readlines()
witnesses = witnesses[:-1]

for line in witnesses:
    inout = line.split(' ')
    A, B = splitstring_and_convert(inout[1])
    S = convert_to_num(inout[2])

    if(A*B == S):
        print("Invalid counterexample in " + input_file_name + ":  " + str(A) + "*" + str(B) + " = " +str(S))
    else:
        print("Valid counterexample in " + input_file_name + ":  " + str(A) + "*" + str(B) + " = " +str(S))
