#!/bin/sh
seed2="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $6}' ../benchmarks/benchmarks`"
iter="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $5}' ../benchmarks/benchmarks`"
seed1="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $4}' ../benchmarks/benchmarks`"
size="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $3}' ../benchmarks/benchmarks`"
name="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $2}' ../benchmarks/benchmarks`"
exec 1>"$name".log 2>"$name".err
msg () {
  echo "verify.sh: $*"
}
msg "name:     $name"
msg "size:     $size"
msg "seed1:    $seed1"
msg "iter:     $iter"
msg "seed2:    $seed2"
msg "task:     $SLURM_ARRAY_TASK_ID"
msg "host:     `hostname`"
msg "uname:    `uname -a`"
msg "start:    `date`"
msg "noturbo:  `show-turbo-mode-disabled.sh`"
msg "governor: `show-scaling-governors.sh |awk '{print $NF}'|sort|uniq -c|sed -e 's,^ *,,'`"
msg "tmp:      `df -m /tmp/|tail -1|awk '{print $(NF-1)}'`"
tmp=/tmp/verify-$$-$name
trap "rm -f $tmp*" 2 3 9 15
aig=${name}.aig
fuzz=${name}_fuzz.aig
rm -f $aig $fuzz
msg "bm"
time=300
space=16000

# substitution ----------------------------------------------------------

log=${name}_gfuzz.log
err=${name}_gfuzz.err
rm -f $log $err
/home/biere/bin/runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  /home/ritirc/algprop/src/multaigenfuzzer/multaigenfuzzer -cl -i $size -s $seed1 $aig 1>$log 2>$err

  log=${name}_mfuzz.log
  err=${name}_mfuzz.err
  rm -f $log $err
  /home/biere/bin/runlim \
    --single \
    --time-limit="$time" \
    --real-time-limit="$time" \
    --space-limit="$space" \
    /home/ritirc/algprop/src/aigofuzzing/aigofuzzing -s $seed2 $aig $fuzz -m $iter 1>$log 2>$err

log=${name}_verify.log
tlog=${name}_verify.toollog
err=${name}_verify.err
rm -f $log $err
/home/biere/bin/runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  /home/ritirc/algprop/src/dyposub/dyposub $fuzz $tlog 1>$log 2>$err


rm -f $tmp*
msg "end:      `date`"
